﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GroundCheckScript : MonoBehaviour
{
    public PlayerControllerScript playerControllerScript;

    void Start()
    {
        playerControllerScript = GetComponentInParent<PlayerControllerScript>();
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        if(col.tag == "Ground")
        {
            playerControllerScript.ground = true;
        }
        if(col.tag == "Enemy")
        {
            Destroy(col.gameObject);
        }
    }

    void OnTriggerStay2D(Collider2D col)
    {
        if(col.tag == "Ground")
        {
            playerControllerScript.ground = true;
        }
    }

    void OnTriggerExit2D(Collider2D col)
    {
        if(col.tag == "Ground")
        {
            playerControllerScript.ground = false;
        }
    }
}
