﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerControllerScript : MonoBehaviour
{
    [SerializeField] float playerSpeed;
    [SerializeField] float playerJumpStrength;

    public bool ground;

    private Rigidbody2D playerRB2D;

    void Start()
    {
        playerRB2D = GetComponent<Rigidbody2D>();
    }

    void Update()
    {
        playerRB2D.velocity = new Vector2((Input.GetAxis("Horizontal") * playerSpeed), playerRB2D.velocity.y);

        if(Input.GetAxis("Jump") > 0 && ground)
        {
            playerRB2D.AddForce(transform.up * playerJumpStrength);
        }

        if(Input.GetAxis("Horizontal") > 0)
        {
            GetComponentInChildren<SpriteRenderer>().flipX = false;
        }
        else if(Input.GetAxis("Horizontal") < 0)
        {
            GetComponentInChildren<SpriteRenderer>().flipX = true;
        }
    }
}
