﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerPickupScript : MonoBehaviour
{

    public GameControllerScript gameControllerScript;
    public PlayerStatsScript playerStatsScript;

    void Start()
    {
        gameControllerScript = GameObject.Find("GameController").GetComponent<GameControllerScript>();
        playerStatsScript = GetComponentInParent<PlayerStatsScript>();
    }


    void OnTriggerEnter2D(Collider2D col)
    {
        if(col.tag == "Finish")
        {
            gameControllerScript.Victory();
        }
        else if(col.tag == "ScoreItem")
        {

        }
        else if(col.tag == "Life")
        {
            playerStatsScript.Lives(1);
            Destroy(col.gameObject);
        }
    }
}
