﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerStatsScript : MonoBehaviour
{
    public Vector2 playerStartPosition;
    Text lifeText;

    public int playerLives = 3;

    void Start()
    {
        playerStartPosition = transform.position;
        lifeText = GameObject.Find("LifeText").GetComponent<Text>();
    }

    public void Lives(int life)
    {
        if(life == -1)
        {
            transform.position = playerStartPosition;
        }

        playerLives += life;
        lifeText.text = "Lives: " + playerLives;
    }
}
